Debian Bug report logs - #667844
avelsieve: PHP Fatal error when trying to use avelsieve in wheezy

version graph

Package: avelsieve; Maintainer for avelsieve is Jan Hauke Rahm <jhr@debian.org>; Source for avelsieve is src:avelsieve.

Reported by: Cyril Bitterich <cebit-debian@gunnet.de>

Date: Fri, 6 Apr 2012 23:30:02 UTC

Severity: grave

Found in version avelsieve/1.9.9-2.1

Fixed in version avelsieve/1.9.9-2.2

Done: xiaowen 辛晓闻 <xiaowenx@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jan Hauke Rahm <jhr@debian.org>:
Bug#667844; Package avelsieve. (Fri, 06 Apr 2012 23:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Bitterich <cebit-debian@gunnet.de>:
New Bug report received and forwarded. Copy sent to Jan Hauke Rahm <jhr@debian.org>. (Fri, 06 Apr 2012 23:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Bitterich <cebit-debian@gunnet.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: avelsieve: PHP Fatal error when trying to use avelsieve in wheezy
Date: Sat, 07 Apr 2012 01:00:49 +0200
Package: avelsieve
Version: 1.9.9-2.1
Severity: grave
Justification: renders package unusable

Dear Maintainer,

I installed the avelsieve package with apt-get, verified that it was activated with squirrelmail and tried to create a new filter within squirrelmail.

After clicking on "Add a new Rule" I only get a white page in the right frame.
The apache error log gives the following error message:

PHP Fatal error:  Call-time pass-by-reference has been removed in /usr/share/squirrelmail/plugins/avelsieve/include/avelsieve_condition_datetime.class.php on line 56, referer: https://madbit.de/squirrelmail/plugins/avelsieve/table.php

Apache uses libapache2-mod-php5 Version 5.4.0-3 .


Regards,

Cyril


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-xen-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages avelsieve depends on:
ii  debconf [debconf-2.0]  1.5.42
ii  libjs-scriptaculous    1.9.0-2
ii  squirrelmail           2:1.4.22-1

avelsieve recommends no packages.

Versions of packages avelsieve suggests:
ii  dovecot-imapd  1:2.0.18-1

-- debconf information:
  avelsieve/no_purge:




Reply sent to xiaowen 辛晓闻 <xiaowenx@gmail.com>:
You have taken responsibility. (Mon, 30 Apr 2012 07:51:04 GMT) Full text and rfc822 format available.

Notification sent to Cyril Bitterich <cebit-debian@gunnet.de>:
Bug acknowledged by developer. (Mon, 30 Apr 2012 07:51:04 GMT) Full text and rfc822 format available.

Message #10 received at 667844-close@bugs.debian.org (full text, mbox):

From: xiaowen 辛晓闻 <xiaowenx@gmail.com>
To: 667844-close@bugs.debian.org
Subject: Bug#667844: fixed in avelsieve 1.9.9-2.2
Date: Mon, 30 Apr 2012 07:47:12 +0000
Source: avelsieve
Source-Version: 1.9.9-2.2

We believe that the bug you reported is fixed in the latest version of
avelsieve, which is due to be installed in the Debian FTP archive:

avelsieve_1.9.9-2.2.debian.tar.gz
  to main/a/avelsieve/avelsieve_1.9.9-2.2.debian.tar.gz
avelsieve_1.9.9-2.2.dsc
  to main/a/avelsieve/avelsieve_1.9.9-2.2.dsc
avelsieve_1.9.9-2.2_all.deb
  to main/a/avelsieve/avelsieve_1.9.9-2.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667844@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
xiaowen 辛晓闻 <xiaowenx@gmail.com> (supplier of updated avelsieve package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 30 Apr 2012 15:14:24 +0800
Source: avelsieve
Binary: avelsieve
Architecture: source all
Version: 1.9.9-2.2
Distribution: unstable
Urgency: low
Maintainer: Jan Hauke Rahm <jhr@debian.org>
Changed-By: xiaowen 辛晓闻 <xiaowenx@gmail.com>
Description: 
 avelsieve  - Sieve mail filters plugin for SquirrelMail
Closes: 667844
Changes: 
 avelsieve (1.9.9-2.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fixes call-time pass-by-reference bug (Closes: #667844)
Checksums-Sha1: 
 2fa1f49a0ec492b6eda0e450acdb456028127682 1267 avelsieve_1.9.9-2.2.dsc
 24855ca6f8cd556c1c24a3129002fb30356ddc9d 16901 avelsieve_1.9.9-2.2.debian.tar.gz
 c2f79ffef66ff8b1c7d3dc8044ec6fa1de479aab 322922 avelsieve_1.9.9-2.2_all.deb
Checksums-Sha256: 
 c96b828130234875b68a8da70e32cb5a499d815c7bb91502df97b4474c4714ce 1267 avelsieve_1.9.9-2.2.dsc
 ed0359697df3be760c40bb070acd8f79462ca980dc2d730cf000064b90d912d9 16901 avelsieve_1.9.9-2.2.debian.tar.gz
 be23da82033a8e91125b7d14ef5d102b19cfa11823909e40c5c8a0ef14b53592 322922 avelsieve_1.9.9-2.2_all.deb
Files: 
 48ae63768b24a36113b2bfa1a4469bc2 1267 web optional avelsieve_1.9.9-2.2.dsc
 ee686c08fd83f64b590f62cb1cd14086 16901 web optional avelsieve_1.9.9-2.2.debian.tar.gz
 f0965a1f88bf39e9c6f96c7786e5f7f8 322922 web optional avelsieve_1.9.9-2.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk+eQvcACgkQ+MQbLPcULsImVgCdGLKUxB01BbqDqDiLFV2wpKGE
zPwAnj91zu+P/1coh9a2k7oQEAFWdEoj
=QL7k
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Jan Hauke Rahm <jhr@debian.org>:
Bug#667844; Package avelsieve. (Sat, 02 Jun 2012 02:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Middleswarth <robert@middleswarth.net>:
Extra info received and forwarded to list. Copy sent to Jan Hauke Rahm <jhr@debian.org>. (Sat, 02 Jun 2012 02:39:02 GMT) Full text and rfc822 format available.

Message #15 received at 667844@bugs.debian.org (full text, mbox):

From: Robert Middleswarth <robert@middleswarth.net>
To: 667844@bugs.debian.org
Subject: This bug is still happening with 1.9.9-2.2
Date: Fri, 01 Jun 2012 22:28:56 -0400
From my apache log.

[Fri Jun 01 22:18:58 2012] [error] [client 96.244.128.5] PHP Fatal 
error:  Call to undefined function session_unregister() in 
/usr/share/squirrelmail/plugins/avelsieve/include/html_rulestable.inc.php on 
line 164, referer: 
http://webmail.middleswarth.net/plugins/avelsieve/table.php
[Fri Jun 01 22:18:58 2012] [error] [client 96.244.128.5] PHP Stack 
trace:, referer: http://XXX/plugins/avelsieve/table.php
[Fri Jun 01 22:18:58 2012] [error] [client 96.244.128.5] PHP   1. 
{main}() /usr/share/squirrelmail/plugins/avelsieve/table.php:0, referer: 
http://XXX/plugins/avelsieve/table.php
[Fri Jun 01 22:18:58 2012] [error] [client 96.244.128.5] PHP   2. 
avelsieve_html_rules->rules_table() 
/usr/share/squirrelmail/plugins/avelsieve/table.php:453, referer: 
http://XXX/plugins/avelsieve/table.php
[Fri Jun 01 22:18:58 2012] [error] [client 96.244.128.5] PHP   3. 
avelsieve_html_rules->rules_blurb() 
/usr/share/squirrelmail/plugins/avelsieve/include/html_rulestable.inc.php:414, 
referer: http://XXX/plugins/avelsieve/table.php
[Fri Jun 01 22:18:58 2012] [error] [client 96.244.128.5] PHP   4. 
avelsieve_html_rules->rules_confirmation_text() 
/usr/share/squirrelmail/plugins/avelsieve/include/html_rulestable.inc.php:81, 
referer: http://webmail.middleswarth.net/plugins/avelsieve/table.php





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Jun 2012 07:40:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:53:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.